Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.templates
Class TemplateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jface.text.templates.TemplateException

All Implemented Interfaces:
  Serializable

public class TemplateException
extends Exception

Thrown when a template cannot be validated.

Clients may instantiate this class.

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`TemplateException()` Creates a new template exception.
`TemplateException(String message)` Creates a new template exception.
`TemplateException(String message, Throwable cause)` Creates a new template exception.
`TemplateException(Throwable cause)` Creates a new template exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateException

    public TemplateException()

  Creates a new template exception.

### TemplateException

    public TemplateException(String message)

  Creates a new template exception.

Parameters:
  `message` - the message describing the problem that arised

### TemplateException

    public TemplateException(String message,
                             Throwable cause)

  Creates a new template exception.

Parameters:
  `message` - the message describing the problem that arised
  `cause` - the original exception

### TemplateException

    public TemplateException(Throwable cause)

  Creates a new template exception.

Parameters:
  `cause` - the original exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.